Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezforwardcompressionhandler.php
Go to the documentation of this file.
1 <?php
20 class eZForwardCompressionHandler extends eZCompressionHandler
21 {
22 public $ForwardHandler;
30 public function __construct( &$handler, $name, $identifier )
31 {
32 $this->ForwardHandler =& $handler;
33 parent::__construct( $name, $identifier );
34 }
35
39 function &forwardHandler()
40 {
41 return $this->ForwardHandler;
42 }
43
44 function doOpen( $filename, $mode )
45 {
46 return $this->ForwardHandler->doOpen( $filename, $mode );
47 }
48
49 function doClose()
50 {
51 return $this->ForwardHandler->doClose();
52 }
53
54 function doRead( $uncompressedLength = false )
55 {
56 return $this->ForwardHandler->doRead( $uncompressedLength );
57 }
58
59 function doWrite( $data, $uncompressedLength = false )
60 {
61 return $this->ForwardHandler->doWrite( $data, $uncompressedLength );
62 }
63
64 function doFlush()
65 {
66 return $this->ForwardHandler->doFlush();
67 }
68
69 function doSeek( $offset, $whence )
70 {
71 return $this->ForwardHandler->doSeek( $offset, $whence );
72 }
73
74 function doRewind()
75 {
76 return $this->ForwardHandler->doRewind();
77 }
78
79 function doTell()
80 {
81 return $this->ForwardHandler->doTell();
82 }
83
84 function doEOF()
85 {
86 return $this->ForwardHandler->doEOF();
87 }
88
89 function doPasstrough( $closeFile = true )
90 {
91 return $this->ForwardHandler->doPasstrough( $closeFile );
92 }
93
94 function compress( $source )
95 {
96 return $this->ForwardHandler->compress( $source );
97 }
98
99 function decompress( $source )
100 {
101 return $this->ForwardHandler->decompress( $source );
102 }
103
104 function error()
105 {
106 return $this->ForwardHandler->error();
107 }
108
109 function errorString()
110 {
111 return $this->ForwardHandler->errorString();
112 }
113
114 function errorNumber()
115 {
116 return $this->ForwardHandler->errorNumber();
117 }
118
123 function duplicate()
124 {
125 $forwardCopy = $this->ForwardHandler->duplicate();
126 $copy = new eZForwardCompressionHandler( $forwardCopy, $this->name(), $this->identifier() );
127 return $copy;
128 }
129 }
130
131 ?>
eZCompressionHandler
Interface for file handlers using compression.
Definition: ezcompressionhandler.php:35
eZFileHandler\name
name()
Definition: ezfilehandler.php:118
eZFileHandler\identifier
identifier()
Definition: ezfilehandler.php:127
eZForwardCompressionHandler
Handles files compressed with gzip.
Definition: ezforwardcompressionhandler.php:21
eZForwardCompressionHandler\doTell
doTell()
Definition: ezforwardcompressionhandler.php:79
eZForwardCompressionHandler\doClose
doClose()
Definition: ezforwardcompressionhandler.php:49
eZForwardCompressionHandler\doRewind
doRewind()
Definition: ezforwardcompressionhandler.php:74
eZForwardCompressionHandler\doPasstrough
doPasstrough( $closeFile=true)
Definition: ezforwardcompressionhandler.php:89
eZForwardCompressionHandler\doFlush
doFlush()
Definition: ezforwardcompressionhandler.php:64
eZForwardCompressionHandler\forwardHandler
& forwardHandler()
Definition: ezforwardcompressionhandler.php:39
eZForwardCompressionHandler\doWrite
doWrite( $data, $uncompressedLength=false)
Definition: ezforwardcompressionhandler.php:59
eZForwardCompressionHandler\errorString
errorString()
Definition: ezforwardcompressionhandler.php:109
eZForwardCompressionHandler\__construct
__construct(&$handler, $name, $identifier)
Definition: ezforwardcompressionhandler.php:30
eZForwardCompressionHandler\doEOF
doEOF()
Definition: ezforwardcompressionhandler.php:84
eZForwardCompressionHandler\doSeek
doSeek( $offset, $whence)
Definition: ezforwardcompressionhandler.php:69
eZForwardCompressionHandler\error
error()
Definition: ezforwardcompressionhandler.php:104
eZForwardCompressionHandler\duplicate
duplicate()
Definition: ezforwardcompressionhandler.php:123
eZForwardCompressionHandler\errorNumber
errorNumber()
Definition: ezforwardcompressionhandler.php:114
eZForwardCompressionHandler\doOpen
doOpen( $filename, $mode)
Definition: ezforwardcompressionhandler.php:44
eZForwardCompressionHandler\compress
compress( $source)
Definition: ezforwardcompressionhandler.php:94
eZForwardCompressionHandler\doRead
doRead( $uncompressedLength=false)
Definition: ezforwardcompressionhandler.php:54
eZForwardCompressionHandler\$ForwardHandler
$ForwardHandler
Definition: ezforwardcompressionhandler.php:22
eZForwardCompressionHandler\decompress
decompress( $source)
Definition: ezforwardcompressionhandler.php:99
$name
$name
Definition: companytypelist.php:194
$offset
$offset
Definition: ezstats/admin/cron.php:51
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.